---
title: Validate buckets for full packet captures
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Magic Transit](https://developers.cloudflare.com/api/typescript/resources/magic_transit)

[PCAPs](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/pcaps)

[Ownership](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/pcaps/subresources/ownership)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Validate buckets for full packet captures

client.magicTransit.pcaps.ownership.validate(OwnershipValidateParams {account\_id, destination\_conf, ownership\_challenge } params, RequestOptionsoptions?): [Ownership](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)>) {id, destination\_conf, filename, 3 more }

POST/accounts/{account\_id}/pcaps/ownership/validate

Validates buckets added to the packet captures API.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic Firewall Packet Captures - Write PCAPs API`

##### ParametersExpand Collapse

<details>

<summary>

params: OwnershipValidateParams {account\_id, destination\_conf, ownership\_challenge }

</summary>

account\_id: string

Path param: Identifier.

maxLength32

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(method)%20validate%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

destination\_conf: string

Body param: The full URI for the bucket. This field only applies to <code>full</code> packet captures.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(method)%20validate%20%3E%20(params)%20default%20%3E%20(param)%20destination_conf">Link to this property</a>

ownership\_challenge: string

Body param: The ownership challenge filename stored in the bucket.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(method)%20validate%20%3E%20(params)%20default%20%3E%20(param)%20ownership_challenge">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.pcaps.ownership%20%3E%20(method)%20validate%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

Ownership {id, destination\_conf, filename, 3 more }

</summary>

id: string

The bucket ID associated with the packet captures API.

maxLength32

minLength32

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

destination\_conf: string

The full URI for the bucket. This field only applies to <code>full</code> packet captures.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20destination_conf">Link to this property</a>

filename: string

The ownership challenge filename stored in the bucket.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20filename">Link to this property</a>

<details>

<summary>

status: "pending"| "success"| "failed"

The status of the ownership challenge. Can be pending, success or failed.

</summary>

One of the following:

"pending"

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"success"

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"failed"

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

submitted: string

The RFC 3339 timestamp when the bucket was added to packet captures API.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20submitted">Link to this property</a>

validated?: string

The RFC 3339 timestamp when the bucket was validated.

<a href="#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)%20%3E%20(property)%20validated">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.pcaps.ownership%20%3E%20(model)%20ownership%20%3E%20(schema)>)

### Validate buckets for full packet captures

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const ownership = await client.magicTransit.pcaps.ownership.validate({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  destination_conf: 's3://pcaps-bucket?region=us-east-1',
  ownership_challenge: 'ownership-challenge-9883874ecac311ec8475433579a6bf5f.txt',
});

console.log(ownership.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "9883874ecac311ec8475433579a6bf5f",
    "destination_conf": "s3://pcaps-bucket?region=us-east-1",
    "filename": "ownership-challenge-9883874ecac311ec8475433579a6bf5f.txt",
    "status": "success",
    "submitted": "2020-01-01T08:00:00Z",
    "validated": "2020-01-01T08:00:00Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "9883874ecac311ec8475433579a6bf5f",
    "destination_conf": "s3://pcaps-bucket?region=us-east-1",
    "filename": "ownership-challenge-9883874ecac311ec8475433579a6bf5f.txt",
    "status": "success",
    "submitted": "2020-01-01T08:00:00Z",
    "validated": "2020-01-01T08:00:00Z"
  },
  "success": true
}
```